| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_dirread.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Macros
#define | IGNORE 0 /* tag placeholder used below */
#define | TIFFCvtIEEEFloatToNative(tif, n, fp)
#define | TIFFCvtIEEEDoubleToNative(tif, n, dp)
#define | BYTECOUNTLOOKSBAD
#define | NITEMS(x) (sizeof (x) / sizeof (x[0]))

## Functions
int | TIFFReadDirectory (TIFF *tif)
int | TIFFReadCustomDirectory (TIFF *tif, toff_t diroff, const TIFFFieldInfo info[], size_t n)
int | TIFFReadEXIFDirectory (TIFF *tif, toff_t diroff)

## Macro Definition Documentation

#define BYTECOUNTLOOKSBAD

Value:
( (td->td_stripbytecount[0] == 0 && td->td_stripoffset[0] != 0) || \
(td->td_compression == COMPRESSION_NONE && \
td->td_stripbytecount[0] > TIFFGetFileSize(tif) - td->td_stripoffset[0]) || \
(tif->tif_mode == O_RDONLY && \
td->td_compression == COMPRESSION_NONE && \
td->td_stripbytecount[0] < TIFFScanlineSize(tif) * td->td_imagelength) )
TIFFScanlineSize
tsize_t TIFFScanlineSize(TIFF *tif)
Definition: tif_strip.c:227
COMPRESSION_NONE
#define COMPRESSION_NONE
Definition: tiff.h:169
TIFFGetFileSize
#define TIFFGetFileSize(tif)
Definition: tiffiop.h:215

#define IGNORE 0 /* tag placeholder used below */

Definition at line 34 of file tif_dirread.c.

#define NITEMS | ( |  | x | ) | (sizeof (x) / sizeof (x[0]))

Definition at line 1741 of file tif_dirread.c.

#define TIFFCvtIEEEDoubleToNative | ( |  | tif,
|  |  | n,
|  |  | dp
| ) |  |

Definition at line 38 of file tif_dirread.c.

#define TIFFCvtIEEEFloatToNative | ( |  | tif,
|  |  | n,
|  |  | fp
| ) |  |

Definition at line 37 of file tif_dirread.c.

## Function Documentation

int TIFFReadCustomDirectory | ( | TIFF * | tif,
|  | toff_t | diroff,
|  | const TIFFFieldInfo | info[],
|  | size_t | n
| ) |  |

Definition at line 813 of file tif_dirread.c.

int TIFFReadDirectory | ( | TIFF * | tif | ) |

Definition at line 74 of file tif_dirread.c.

int TIFFReadEXIFDirectory | ( | TIFF * | tif,
|  | toff_t | diroff
| ) |  |

Definition at line 935 of file tif_dirread.c.